//
//  TruncatingTableViewString.h
//
//  Created by Simon Woodside on Sun Mar 16 2003.
//

#import <Foundation/Foundation.h>
#import <AppKit/AppKit.h>

typedef enum _CHTruncationMode {
  CHTruncateHead,
  CHTruncateTail,
  CHTruncateMiddle
} CHTruncationMode;

// a category to extend NSString
@interface NSString (TruncatingTableViewString)

// truncate self to fit a table column
- (NSString *)truncatedStringWithIndicatorString:(NSString *)istr
                                      truncating:(CHTruncationMode)mode
                              fittingTableColumn:(NSTableColumn *)tc;

// convenience methods
- (NSString *)endTruncatedStringWithIndicatorString:(NSString *)istr
                                 fittingTableColumn:(NSTableColumn *)tc;
- (NSString *)middleTruncatedStringWithIndicatorString:(NSString *)istr
                                    fittingTableColumn:(NSTableColumn *)tc;


@end